MVCDisk/Models/Disk.cs
using System;
using System.ComponentModel.DataAnnotations;


namespace MVCDisk.Models
{
    public class Disk
    {
        public int Id { get; set; }
        public string Title { get; set; }

        [DataType(DataType.Date)]
        public DateTime ReleaseDate { get; set; }
       
        public string Interprete { get; set; }

    }
}

MVCDisk/Models/ErrorViewModel.cs
using System;

namespace MVCDisk.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

MVCDisk/Controllers/DiskController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using MVCDisk.Models;

namespace MVCDisk.Controllers
{
    public class DiskController : Controller
    {
        private static List<Disk> Disks = new List<Disk>
        {
            new Disk
            {
                Id = 1,
                Title = "Souldier",
                Interprete = "Jain",
                ReleaseDate = new DateTime(2018, 08, 24)

            },
            new Disk
            {
                Id = 2,
                Title = "Origins",
                Interprete = "Imagine Dragons",
                ReleaseDate = new DateTime(2018, 11, 09)

            }, 
            new Disk
            {
                Id = 3,
                Title = "En amont",
                Interprete = "Alain Bashung",
                ReleaseDate = new DateTime(2018, 11, 23)

            },
             new Disk
            {
                Id = 4,
                Title = "La vie de reve",
                Interprete = "Bigflo et Oli",
                ReleaseDate = new DateTime(2018, 11, 23)

            },
        };
        // GET: Disk
        public ActionResult Index(string searchString)
        {
            var disks = Disks;
            if (!string.IsNullOrEmpty(searchString))
            {
                disks = disks.Where(s => s.Title.Contains(searchString)).ToList();
            }
            return View(disks);
        }

        // GET: Disk/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Disk/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Disk/Create
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind("Title,ReleaseDate,Interprete")] Disk disk)
        {
            try
            {
                disk.Id = Disks.Max(m => m.Id) + 1;
                Disks.Add(disk);


                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }

        // GET: Disk/Edit/5
        public ActionResult Edit(int id)
        {
            return View(Disks.Single(disk => disk.Id == id));
        }

        // POST: Disk/Edit/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(int id, [Bind("ID,Title,ReleaseDate,Interprete")] Disk disk)
        {
            try
            {
                var diskToUpdate = Disks.Single(d => d.Id == id);
                diskToUpdate.Interprete = disk.Interprete;
                diskToUpdate.ReleaseDate = disk.ReleaseDate;
                diskToUpdate.Title = disk.Title;


                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }

        // GET: Disk/Delete/5
        public ActionResult Delete(int id)
        {

            return View(Disks.Single(disk => disk.Id == id));

        }

        // POST: Disk/Delete/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Delete(int id,[Bind("Id")] Disk disk)
        {
            try
            {
                Disks.Remove(Disks.Single(d => d.Id == id));


                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }
    }
}

MVCDisk/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using MVCDisk.Models;

namespace MVCDisk.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

MVCDisk/Views/Disk/Create.cshtml
@model MVCDisk.Models.Disk

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Disk</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ReleaseDate" class="control-label"></label>
                <input asp-for="ReleaseDate" class="form-control" />
                <span asp-validation-for="ReleaseDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Interprete" class="control-label"></label>
                <input asp-for="Interprete" class="form-control" />
                <span asp-validation-for="Interprete" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

MVCDisk/Views/Disk/Delete.cshtml
@model MVCDisk.Models.Disk

@{
    ViewData["Title"] = "Delete";
}

<h1>Delete</h1>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Disk</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Id)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Id)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.ReleaseDate)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.ReleaseDate)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Interprete)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Interprete)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <input type="submit" value="Delete" class="btn btn-danger" /> |
        <a asp-action="Index">Back to List</a>
    </form>
</div>

MVCDisk/Views/Disk/Edit.cshtml
@model MVCDisk.Models.Disk

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Disk</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            @*<div class="form-group">
                <label asp-for="Id" class="control-label"></label>
                <input asp-for="Id" class="form-control" />
                <span asp-validation-for="Id" class="text-danger"></span>
            </div>*@
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ReleaseDate" class="control-label"></label>
                <input asp-for="ReleaseDate" class="form-control" />
                <span asp-validation-for="ReleaseDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Interprete" class="control-label"></label>
                <input asp-for="Interprete" class="form-control" />
                <span asp-validation-for="Interprete" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

MVCDisk/Views/Disk/Index.cshtml
@model IEnumerable<MVCDisk.Models.Disk>



@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<h2>Liste des disques</h2>

<p>
    <a asp-action="Create">Create New</a>
</p>

<form asp-controller="Disk" asp-action="Index" method="get">
    <p>
        Title: <input type="text" name="SearchString">
        <input type="submit" value="Filter" />
    </p>
</form>

        <table class="table">
            <thead>
                <tr>
                    @*<th>
                            @Html.DisplayNameFor(model => model.Id)
                        </th>*@
                    <th>
                        @Html.DisplayNameFor(model => model.Title)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Interprete)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ReleaseDate)
                    </th>

                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        @*<td>
                                @Html.DisplayFor(modelItem => item.Id)
                            </td>*@
                        <td>
                            @Html.DisplayFor(modelItem => item.Title)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Interprete)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.ReleaseDate)
                        </td>
                        <td>
                            @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                        </td>
                    </tr>
                }
            </tbody>
        </table>

MVCDisk/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>

MVCDisk/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - MVCDisk</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">MVCDisk</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Disk" asp-action="Index">Disks</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2021 - MVCDisk - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>